regina::XMLNormalHypersurfaceReader Class Reference
Normal Hypersurfaces

An XML element reader that reads a single normal hypersurface in a 4-manifold triangulation. More...

`#include <hypersurface/xmlhypersurfacereader.h>`

Inheritance diagram for regina::XMLNormalHypersurfaceReader:

## Public Member Functions

| XMLNormalHypersurfaceReader (const Triangulation< 4 > *tri, HyperCoords coords)
| Creates a new normal hypersurface reader. More...
NormalHypersurface * | hypersurface ()
| Returns the normal hypersurface that has been read. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

An XML element reader that reads a single normal hypersurface in a 4-manifold triangulation.

Python:\n Not present.

The documentation for this class was generated from the following file:

- hypersurface/xmlhypersurfacereader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).